SLAT for Hyper V 2016 (TLDR older Xeons wont work with 2016)

Discussion in 'Virtualized Computing' started by Putz, Feb 27, 2018.

  1. Putz

    Putz I have a custom title

    Messages:
    5,327
    Joined:
    Jul 8, 2002
    have an older precision t5400 with dual x5460 cpus and 32gb ram, been running ESXi on it for a little and wanted to try out Hyper V 2016, turns out it requires SLAT on the processors, which these have according to coreinfo, but the motherboard doesn't support it


    apparently Hyper V in 2012 doesnt check for this and still works, seems kind of an odd requirement to run when it ran in 2012 fine, and yes its and older machine anyone else run into this one?

    on the bright side i got to rebuild my ESXi lab last night lol
     
  2. k1pp3r

    k1pp3r [H]ardness Supreme

    Messages:
    7,654
    Joined:
    Jun 16, 2004
    I have not run Hyper-v 2016 however a tiny bit of research points to SLAT being implemented to reduce hypervisor overhead, which is nice.

    Have you tried updating to the most recent BIOS and fun coreinfo?

    I'm thinking because that is a 2010ish MB it might not have EPT implemented on the chipset.
     
  3. Putz

    Putz I have a custom title

    Messages:
    5,327
    Joined:
    Jul 8, 2002
    its the latest, which is A11

    yeah i did some reading on it, i think i was more annoyed the cpus apparently support it, but its a bios limitation, at least for the t5400